Subject: Re: suspend-to-mem on the mpc8349e-mitx-gp?

From: Scott Wood <[email-masked]>
Date: Wed, 25 Mar 2009 11:31:57 -0500

Pavel Machek wrote:
>> Pavel, what's the preferred way for current PM sub-system?
> 
> If you have single sleep state, use "mem" > /sys/power/state. 
> 
> If you have two, use mem and standby. Do you have more?

Some of our chips have two, and some have one.  However, the sleep state 
of the chips that have only one is the same as the "standby" state of 
the chips that have two, not the "mem" state.  Accepting "mem" and only 
"mem" for the one-state chip seems like the most confusing of the 
options discussed.  There would be no consistent way for userspace to 
request the milder suspend state.

-Scott